expr_if.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/control/expr_iif.hpp>`
`#include <msgpack/preprocessor/logical/bool.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_EXPR_IF(cond, expr) MSGPACK_PP_EXPR_IF_I(cond, expr)
#define | MSGPACK_PP_EXPR_IF_I(cond, expr) MSGPACK_PP_EXPR_IIF(MSGPACK_PP_BOOL(cond), expr)

## Macro Definition Documentation

## MSGPACK_PP_EXPR_IF

#define MSGPACK_PP_EXPR_IF | ( |  | cond,
|  |  | expr
| ) |  | MSGPACK_PP_EXPR_IF_I(cond, expr)

## MSGPACK_PP_EXPR_IF_I

#define MSGPACK_PP_EXPR_IF_I | ( |  | cond,
|  |  | expr
| ) |  | MSGPACK_PP_EXPR_IIF(MSGPACK_PP_BOOL(cond), expr)